cache:
  paths:
    - .m2/

image: maven:3.6.0-jdk-8-alpine

stages:
  - build
  - integration_test_downstream


build:
  stage: build
  script:
    - mvn install -B
#    - echo "$STAGING_SECRET"
#    - chmod 765 /home/gitlab-runner/springpetclicnic/nzQpjPQr/0/shashil05.p/spring-petclinic/target/spring-petclinic-2.2.0.BUILD-SNAPSHOT.jar
#    - sudo mv /home/gitlab-runner/springpetclicnic/nzQpjPQr/0/shashil05.p/spring-petclinic/target/spring-petclinic-2.2.0.BUILD-SNAPSHOT.jar /home/backup/spring-petclinic-2.2.0.BUILD-SNAPSHOT$(date +"_%m-%d-%y_%H-%M").jar

trigger_deployment:
  stage: integration_test_downstream
  trigger:
    project: shashil05.p/mavenrepo
    # mirror downstream pipeline status
    strategy: depend



#integration_test_downstream:
#  stage: integration_test_downstream
#  trigger:
#    project: shashil05.p/mavenrepo
#  script:
#    - mvn clean install -B -f test/pom.xml  


 
#  script:
#    - "curl -X POST -F token=1f3076f4566a60013c1fb1fe317718 -F ref=REF_NAME https://gitlab.com/api/v4/projects/16098474/trigger/pipeline/tags?tag_name=mavenRepo"
#    - mvn clean install -B -f test/pom.xml

    
#test:
#  image: maven:3.6.0-jdk-8-alpine
#  stage: build
#  only:
#    - master
#  script:
#    - mvn test install -DskipTests
    
#deploy:
#  image: maven:3.6.0-jdk-8-alpine
#  stage: deploy
#  tags: [build]
#  only:
#    - master
#  before_script:
#    - 'which ssh-agent || ( apt-get update -y && apt-get install openssh-client -y )'
#    - eval $(ssh-agent -s)
#    - mkdir -p ~/.ssh
#    - echo "$TEST_SSH_KEY" | tr -d '\r' > ~/.ssh/id_rsa
#    - chmod 700 ~/.ssh/id_rsa
#    - eval "$(ssh-agent -s)"
#    - ssh-add ~/.ssh/id_rsa
#    - ssh-keyscan -H '35.226.149.149' >> ~/.ssh/known_hosts
#    - apk rsync -qq
#    - apk curl -qq
#  script:
#    - ssh root@35.226.149.149  "mv /home/gitlab-runner/springpetclicnic/nzQpjPQr/0/shashil05.p/spring-petclinic/target/*.jar /home/backup/spring-petclinic-2.2.0.BUILD-SNAPSHOT$(date +"_%m-%d-%y_%H-%M").jar"
